org.apache.ignite.internal.commandline.cache

## Class CacheDistribution.Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.cache.CacheDistribution.Arguments

Enclosing class:
  CacheDistribution

    public class CacheDistribution.Arguments
    extends Object

Container for command arguments.

### Constructor Summary

Constructors
Constructor and Description
`Arguments(Set<String> caches, UUID nodeId, Set<String> userAttributes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `caches()`
`Set<String>` `getUserAttributes()`
`UUID` `nodeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(Set<String> caches,
                     UUID nodeId,
                     Set<String> userAttributes)

### Method Detail

#### caches

    public Set<String> caches()

Returns:
  Caches.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### getUserAttributes

    public Set<String> getUserAttributes()

Returns:
  Additional user attributes in result. Set of attribute names whose values will be searched in ClusterNode.attributes().

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020